QFilePreview(3qt)

NAME
QFilePreview - File previewing in QFileDialog

SYNOPSIS
#include <qfiledialog.h>

  Public Members
<li class=fn>QFilePreview () <li class=fn>virtual void previewUrl ( const QUrl & url ) = 0

DESCRIPTION
The QFilePreview class provides file previewing in QFileDialog.

This class is an abstract base class which is used to implement widgets that can display a preview of a file in a QFileDialog.

You must derive the preview widget from both QWidget and from this class. Then you must reimplement this class's previewUrl() function, which is called by the file dialog if the preview of a file (specified as a URL) should be shown.

See also QFileDialog::setPreviewMode(), QFileDialog::setContentsPreview(), QFileDialog::setInfoPreview(), QFileDialog::setInfoPreviewEnabled(), QFileDialog::setContentsPreviewEnabled().

For an example of a preview widget see qt/examples/qdir/qdir.cpp.

See also Miscellaneous Classes.

MEMBER FUNCTION DOCUMENTATION

QFilePreview::QFilePreview ()
Constructs the QFilePreview.

void QFilePreview::previewUrl ( const QUrl & url ) [pure virtual]
This function is called by QFileDialog if a preview for the url should be shown. Reimplement this function to provide file previewing.

SEE ALSO
http://doc.trolltech.com/qfilepreview.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qfilepreview.3qt) and the Qt version (3.3.3).